❤ How to Install MacOS Catalina on Unsupported Macs

How to install MacOS Catalina on unsupported Macs with DosDude tool

 

 

Want to run MacOS Catalina 10.15 on a Mac, but that computer isn’t on the official list of Catalina supported Macs?

 

 

If you’re going to attempt to install MacOS Catalina on an unsupported Mac, do so at your own risk.

 

 

Then you may be interested in a third party tool that allows advanced uses to patch the MacOS Catalina installer so that it works on otherwise unsupported Macs.


Whether or not you should install MacOS Catalina onto an unsupported Mac is another question entirely, as performance may not be up to par, and some things may not work as expected (or at all, since features like Sidecar are compatible with specific Macs only), but if you’re an advanced user who is interested in running macOS 10.15 on unsupported hardware this patcher utility makes it easy to do so.

If this sounds interesting to you, check out the link below to learn more about the DosDude Catalina Patcher utility, and you can view a video tutorial further below showing how it works.

If you’re going to attempt to run this patcher and install MacOS Catalina on an unsupported Mac, be sure you have full complete backups of the computer and understand that running unsupported system software on an unsupported Mac has obvious risks.

DosDude has been tweaking with the MacOS system installers for a while, and you may recall a past article discussing running macOS Mojave on unsupported Macs too using a similar patch.

 

Which Unsupported Macs Can Install MacOS Catalina with the DosDude Tool?

 

According to DosDude, the MacOS Catalina Patcher will work to install MacOS Catalina on the following list of otherwise unsupported Macs:

  • Early-2008 or newer Mac Pro, iMac, or MacBook Pro:
    • MacPro3,1
    • MacPro4,1
    • MacPro5,1
    • iMac8,1
    • iMac9,1
    • iMac10,x
    • iMac11,x (systems with AMD Radeon HD 5xxx and 6xxx series GPUs will be almost unusable when running Catalina.)
    • iMac12,x (systems with AMD Radeon HD 5xxx and 6xxx series GPUs will be almost unusable when running Catalina.)
    • MacBookPro4,1
    • MacBookPro5,x
    • MacBookPro6,x
    • MacBookPro7,x
    • MacBookPro8,x
  • Late-2008 or newer MacBook Air or Aluminum Unibody MacBook:
    • MacBookAir2,1
    • MacBookAir3,x
    • MacBookAir4,x
    • MacBook5,1
  • Early-2009 or newer Mac Mini or white MacBook:
    • Macmini3,1
    • Macmini4,1
    • Macmini5,x (systems with AMD Radeon HD 6xxx series GPUs will be almost unusable when running Catalina.)
    • MacBook5,2
    • MacBook6,1
    • MacBook7,1
  • Early-2008 or newer Xserve:
    • Xserve2,1
    • Xserve3,1

As you can see, that list is significantly broader than what is on the list of MacOS Catalina compatible Macs.

It goes without saying that just because you can do something doesn’t mean you should, and some Macs may not perform well, and not all features may work as expected if trying to run MacOS Catalina on unsupported hardware. This is very much a third party tweak, and is of course not supported by Apple in any way.

The video below demonstrates a tutorial walking through the process of using the DosDude Catalina patcher tool to install the macOS 10.15 system software on an unsupported Mac.